[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

In sane update problems on FC5 x86_64?



Two days now, yumex has wanted to update both the x86_64 and i386
version of sane-backends (1.0.18-2.fc5), but only update the
x86_64 version of sane-backends-libs (1.0.18-2.fc5). The summary
I get from the yumex window is very strange when I try to
update, it says:

Installing

   sane-backends-libs x86_64 1.0.18-2.fc5
      replacing sane-backends.i386 1.0.17-5.fc5.9

Updating for dependencies

   sane-backends x86_64 1.0.18-2.fc5

So its installing the x86_64 libs to replace the i386 libs? I
thought multi-arch libs were supposed to co-exist?

In any case I wind up with an endless transaction error (which I
will truncate here):

Transaction Check Error:
  file /etc/sane.d/artec_eplus48u.conf from install of
     sane-backends-1.0.18-2.fc5 conflicts with file from
     package sane-backends-1.0.17-5.fc5.9
  file /etc/sane.d/avision.conf from install of
     sane-backends-1.0.18-2.fc5 conflicts with file from
     package sane-backends-1.0.17-5.fc5.9
  ...
  file /usr/share/man/man1/sane-config.1.gz from install of
     sane-backends-1.0.18-2.fc5 conflicts with file from
     package sane-backends-1.0.17-5.fc5.9
  file /usr/share/man/man1/sane-find-scanner.1.gz from install of
     sane-backends-1.0.18-2.fc5 conflicts with file from
     package sane-backends-1.0.17-5.fc5.9
  ...

Why do I have both i386 and x86_64 sane libs installed? In this
case it actually makes sense - I have wine installed and the
wine-core stuff depends on the i386 sane stuff.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]